CC = cc -std=c99

lib: libmdt.a

main: libmdt.a main.o
	cc -o main main.o libmdt.a -lm

clean:
	rm -f *~ \#* *.o main *.a

libmdt.a: mdt.o chamber.o tube.o track.o
	ar -cvr libmdt.a mdt.o chamber.o tube.o track.o

main.o: main.c track.h tube.h chamber.h mdt.h

mdt.o: mdt.c track.h tube.h chamber.h mdt.h

chamber.o: chamber.c tube.h chamber.h mdt.h

tube.o: tube.c tube.h mdt.h

track.o: track.c track.h mdt.h
